import { FC } from 'react';
export declare enum FileTypesEnum {
    ARCHIVE = "ARCHIVE",
    AUDIO = "AUDIO",
    CALENDAR = "CALENDAR",
    CODE = "CODE",
    EXCEL = "EXCEL",
    GENERIC = "GENERIC",
    IMAGE = "IMAGE",
    PDF = "PDF",
    POWERPOINT = "POWERPOINT",
    TEXT = "TEXT",
    VIDEO = "VIDEO",
    WORD = "WORD"
}
export interface FileProps {
    /** The name of the file. */
    fileName: string;
    /** The type of file. Default will be GENERIC. */
    fileType?: FileTypesEnum;
    /** The size of the file in Kbs */
    fileSize: number;
    /** Whether to render the error state of the file. */
    isErred?: boolean;
    /** The reason why the file is in an isErred state. */
    errorMessage?: string;
    /** Whether a clear button should be displayed when hovering over the file. */
    onClear?: () => void;
}
export declare const File: FC<FileProps>;
