import { FC, MouseEventHandler, ReactNode } from 'react';
import { IconName } from '../../../elements/icon/icon';
interface TaskProps {
    /** Whether to render an icon or a checkbox on the left side of the task. */
    type?: 'icon' | 'checkbox';
    /** The content of the dropdown. If there is no content we will not render the triple dot dropdown button. */
    children?: ReactNode;
    /** The label for the task. */
    label: string;
    /** Whether to render the loading state. */
    isLoading?: boolean;
    /** The icon to render on the left hand side */
    icon?: IconName;
    /** Whether the checkbox is checked. */
    isChecked?: boolean;
    /** Specify a different layer id to tie the select to. */
    layerRootId?: string;
    /** Handler when the checkbox is clicked. */
    onChange?: (isChecked: boolean) => void;
    /** Handler when the task it clicked. */
    onClick?: MouseEventHandler;
}
export declare const Task: FC<TaskProps>;
export {};
