import React, { FC, MouseEventHandler } from 'react';
import { VisualSizesEnum } from '../../helpers/fontHelpers';
export declare type ButtonTypes = 'primary' | 'secondary' | 'tertiary' | 'primary-danger' | 'secondary-danger' | 'icon' | 'icon-danger';
interface ButtonProps {
    /** The type of button to render. */
    type?: ButtonTypes;
    /** The size of the button. Note EXTRA_LARGE is not supported. */
    size?: VisualSizesEnum;
    /** Whether the button is disabled. If disabled the onClick will not fire. */
    isDisabled?: boolean;
    /** Content to render. If there is no ButtonContent specified, we will automatically wrap it for you. */
    children?: React.ReactNode;
    /** Whether the button is currently active. */
    isActive?: boolean;
    /** Class name to allow custom styling of the button. */
    className?: string;
    /** The color of the icon to be displayed. */
    iconColor?: string;
    /** Called when the user click on the button. */
    onClick?: MouseEventHandler;
    /** Used for icon buttons in order to make them completely round. */
    isRounded?: boolean;
}
export declare const Button: FC<ButtonProps>;
export {};
