import React, { FC, MouseEventHandler } from 'react';
interface IconButtonProps {
    /** Children to render. We only support 1 icon for this button and will ignore all other icons. */
    children: React.ReactNode;
    /** Whether we should render the icon in red. */
    isDanger?: boolean;
    /** Whether the button is disabled. If disabled the onClick will not fire. */
    isDisabled?: boolean;
    /** Whether we should force hover state styles. */
    isActive?: boolean;
    /** Called when the user click on the button. */
    onClick: MouseEventHandler;
    /** Class name to allow custom styling of the icon button. */
    className?: string;
    /** The color of the icon to be displayed. */
    iconColor?: string;
    /** Make the button completely round. */
    isRounded?: boolean;
}
export declare const IconButton: FC<IconButtonProps>;
export {};
