import React, { FC } from 'react';
interface CheckboxProps {
    /** Whether the checkbox is checked. */
    isChecked: boolean;
    /** The label of the checkbox. */
    children?: React.ReactNode;
    /** Whether the checkbox is disabled. If disabled, clicking it won't check/uncheck it. */
    isDisabled?: boolean;
    /** Whether the checkbox is in an indeterminate state. */
    isIndeterminate?: boolean;
    /** The side to render the label on. */
    labelSide?: 'left' | 'right';
    /** Handler to check or uncheck the checkbox */
    onChange: (isChecked: boolean) => void;
}
export declare const Checkbox: FC<CheckboxProps>;
export {};
