import { DateTime } from 'luxon';
import { FC } from 'react';
import { CalendarWeekDaysEnum } from '../../helpers/calendarHelpers';
interface DatePickerCalendarProps {
    /** The selected date */
    selectedDate?: DateTime;
    /** The selected month. This is different than the `selectedDate`. */
    monthBeingViewed: DateTime;
    /** The day of the the week the calendar should start on. The default is Sunday */
    calendarWeekStartDay: CalendarWeekDaysEnum;
    /** The minimum date allowed to be selected. */
    minDate?: DateTime;
    /** The maximum date allowed to be selected. */
    maxDate?: DateTime;
    /** The handler for when a date is selected */
    onDateSelect?: (date: DateTime) => void;
}
export declare const DatePickerCalendar: FC<DatePickerCalendarProps>;
export {};
