import { FC } from 'react';
import { CalendarWeekDaysEnum } from '../../helpers/calendarHelpers';
export interface DatePickerDropdownProps {
    /** The selected date */
    value?: Date;
    /** The placeholder value */
    placeholder?: string;
    /** Controls allowing selecting a time. */
    type?: 'date' | 'dateAndTime';
    /** The format to display time in. This is only used if dateAndTime type is selected. */
    timeFormat?: '12h' | '24h';
    /** The minimum date allowed to be selected. */
    minDate?: Date;
    /** The maximum date allowed to be selected. */
    maxDate?: Date;
    /** Called either when a date (or date and time) is selected on hitting Done or when the date is cleared. */
    onChange?: (value?: Date) => void;
    /** The day of the the week the calendar should start on. */
    calendarWeekStartDay?: CalendarWeekDaysEnum;
    /** Specify a different layer id to tie the dropdown to. */
    layerRootId?: string;
}
export declare const DatePickerDropdown: FC<DatePickerDropdownProps>;
