import { DateTime } from 'luxon';
import { FC, MouseEventHandler } from 'react';
import { DatepickerViewsEnum } from '../../helpers/calendarHelpers';
interface DatePickerFooterProps {
    /** The selected date */
    selectedDate?: DateTime;
    /** Whether to render the time input. */
    type: 'date' | 'dateAndTime';
    /** The format to display time in. */
    timeFormat: '12h' | '24h';
    /** Controls which input is focused */
    selectedView: DatepickerViewsEnum;
    /** Called when the user updates the date via the input */
    onDateChange: (date: DateTime) => void;
    /** Called when the user selects an input */
    onViewChange: (view: DatepickerViewsEnum) => void;
    /** The Dropdowns `onRequestClose` function which is called when `cancel` is clicked */
    onRequestClose: () => void;
    /** Called when the user clicks "Done" */
    onDoneClick: MouseEventHandler;
    /** Called when the user clicks "Clear". */
    onClearClick?: MouseEventHandler;
}
export declare const DatePickerFooter: FC<DatePickerFooterProps>;
export {};
