import React, { FC } from 'react';
export interface FormFieldProps {
    /** The label for the form field. */
    label: string;
    /** A hint for the form field. If an error message is supplied, this will not be displayed. */
    hint?: string;
    /** An error message for the form field. If supplied this will automatically set isErred for the children. */
    errorMessage?: string;
    /** Whether we should show the "*". */
    isRequired?: boolean;
    /** Content to render. */
    children: React.ReactElement;
}
export declare const FormField: FC<FormFieldProps>;
