import { ReactNode } from 'react';
export declare enum TopBannersEnum {
    INFO = "INFO",
    ERROR = "ERROR",
    WARNING = "WARNING",
    SUCCESS = "SUCCESS",
    LOADING = "LOADING"
}
export interface TopBannerDefinition {
    type: TopBannersEnum;
    message: ReactNode;
    dismissAfter?: number;
}
export interface TopBannerContextProps {
    showBanner(options: TopBannerDefinition): void;
    currentBanner?: TopBannerDefinition;
    dismissBanner: () => void;
}
export declare const TopBannerContext: import("react").Context<TopBannerContextProps>;
export declare function useTopBanners(): TopBannerContextProps;
export declare const TopBannerProvider: import("react").Provider<TopBannerContextProps>;
