import React, { FC } from 'react';
interface DropdownProps {
    /** The maximum width of the dropdown. */
    maxWidth?: number;
    /** The minimum width of the dropdown. */
    minWidth?: number;
    /** The minimum height of the dropdown. Defaults to the max height. */
    minHeight?: number;
    /** The maximum height of the dropdown. */
    maxHeight?: number;
    /** If set, the dropdown will use the height of the dropdown items if it is below the max height. */
    shouldUseItemsHeight?: boolean;
    /** Children to render for the dropdown. */
    children: React.ReactNode;
    /** Controls if we should render the loading state. */
    isLoading?: boolean;
    /** The loading skeleton we would render. Only supports DropdownItemSkeleton. */
    loadingSkeleton?: React.ReactNode;
    /** Controls when we will call the "onLoadMore" function. */
    loadingThreshold?: number;
    /** Controls if we will try to load more items when they reach the loadingThreshold.  */
    hasMore?: boolean;
    /** Called when we request to load more items. */
    onLoadMore?: () => Promise<void>;
    /** Whether the dropdown should render the empty state. */
    isEmpty?: boolean;
    /** Render the empty state for the dropdown. */
    renderEmptyState?: () => React.ReactNode;
}
export declare const Dropdown: FC<DropdownProps>;
export {};
