import { FC } from 'react';
import { IconName } from '../icon/icon';
interface DropdownButtonProps {
    /** Content to render. If an array is passed in we will render the items in pill form. */
    value: string | ReadonlyArray<string>;
    /** Placeholder to render when no children is supplied. */
    placeholder?: string;
    /** Whether the button is disabled. */
    isDisabled?: boolean;
    /** Whether the button is in error state. */
    isErred?: boolean;
    /** Whether the button is currently active. */
    isActive?: boolean;
    /** Icon to render on the left. If nothing is set, no icon will be rendered. */
    iconName?: IconName;
    /** The max width of the button. Default is 100%. */
    maxWidth?: number;
    /** Reference the button itself. */
    buttonRef?: (instance: HTMLDivElement | null) => void;
}
export declare const DropdownButton: FC<DropdownButtonProps>;
export {};
