import React, { FC, MouseEventHandler } from 'react';
interface DropdownHeaderProps {
    /** The label to render for the header. */
    children: React.ReactNode;
    /** Placeholder for the search bar. */
    searchPlaceholder?: string;
    /** The value for the search bar input, if this value is supplied we will render the search bar. */
    searchValue?: string;
    /** Whether when they open the dropdown we should auto focus the search input. */
    shouldAutoFocusSearchInput?: boolean;
    /** If this function is supplied, a back button will be rendered. This is called when the back button is clicked. */
    onBackClick?: MouseEventHandler;
    /** Called when the search bar value is changed. */
    onSearchChange?: (value: string) => void;
}
export declare const DropdownHeader: FC<DropdownHeaderProps>;
export {};
