import React, { FC, MouseEventHandler } from 'react';
declare type DropdownTypes = 'simple' | 'multi';
export interface DropdownItemProps {
    /** Content to render. */
    children: React.ReactNode;
    /** Type of the dropdown item. */
    type?: DropdownTypes;
    /** Optional description to render for the item. This will be rendered on a second line. */
    description?: string;
    /** Height of the content, this is only used for the dropdowns internal logic. This will be auto-calculated if not specified. */
    height?: number;
    /** Whether the dropdown item is selected. */
    isSelected?: boolean;
    /** Called when the dropdown item is clicked. */
    onClick?: MouseEventHandler;
}
export declare const DropdownItem: FC<DropdownItemProps>;
export {};
