import React, { FC } from 'react';
export declare const dropdownListPadding = 5;
interface DropdownListProps {
    /** The total numbers of items in the dropdown. */
    itemsCount: number;
    /** The total number of loading items we should render. */
    loadingItemsCount: number;
    /** The height of the list. */
    height: number;
    /** Whether we have more items and should call onLoadMore when we reach the threshold. */
    hasMore?: boolean;
    /** Whether we are loading. */
    isLoading?: boolean;
    /** The loading skeleton to render. */
    loadingSkeleton: React.ReactNode;
    /** The height of the loading skeleton. */
    loadingSkeletonHeight: number;
    /** The threshold for when we should call onLoadMore. */
    loadingThreshold: number;
    /** Returns the height of the item at the index. */
    getItemHeight: (index: number) => number;
    /** Renders the item at the index. */
    renderItem: (index: number) => React.ReactNode;
    /** Called when we should load more items. */
    onLoadMore: () => Promise<void>;
}
export declare const DropdownList: FC<DropdownListProps>;
export {};
