import { FC } from 'react';
interface TextareaProps {
    /** The id of the textarea field */
    id?: string;
    /** The content of the textarea field */
    value?: string;
    /** The number of lines in the textarea field */
    rows?: number;
    /** The name of the textarea field */
    name?: string;
    /** Whether the textarea is resizable */
    shouldAllowResize?: boolean;
    /** Placeholder value */
    placeholder?: string;
    /** Whether the textarea is disabled */
    isDisabled?: boolean;
    /** Whether the textarea is erred */
    isErred?: boolean;
    /** Whether we should focus on the textarea when it is mounted */
    shouldFocus?: boolean;
    /** Max width of the textarea. Default is 100%. */
    maxWidth?: number;
    /** The handler for when the content of the textarea field changes */
    onChange?: (value: string) => void;
    /** The handler for when the textarea field is unfocused */
    onBlur?: () => void;
    /** The handler for when the textarea field is focused */
    onFocus?: () => void;
}
export declare const Textarea: FC<TextareaProps>;
export {};
