import { DateTime } from 'luxon';
export declare enum CalendarWeekDaysEnum {
    SUNDAY = "sunday",
    MONDAY = "monday",
    TUESDAY = "tuesday",
    WEDNESDAY = "wednesday",
    THURSDAY = "thursday",
    FRIDAY = "friday",
    SATURDAY = "saturday"
}
export declare enum DatepickerViewsEnum {
    DATE = "Date",
    TIME = "Time"
}
export declare const calendarWeekdayToWeekdayNumber: {
    monday: number;
    tuesday: number;
    wednesday: number;
    thursday: number;
    friday: number;
    saturday: number;
    sunday: number;
};
/** Get the sorted weekdays number, starting with Sunday. */
export declare function getSortedWeekdays(calendarWeekStartDay: CalendarWeekDaysEnum): number[];
export declare function getSortedWeekdayNames(calendarWeekStartDay: CalendarWeekDaysEnum): CalendarWeekDaysEnum[];
/** Get the full list of days for the provided month, sorted by the provided week days. */
export declare function getCalendarDays(month: DateTime, weekdays: ReadonlyArray<number>): DateTime<boolean>[];
/**
 * @param date Chosen date (time portion is not relevant)
 * @param time Chosen time (date portion is not relevant)
 */
export declare function mergeDateAndTime(date: DateTime, time: DateTime): DateTime<boolean>;
export declare function formatTime(time: DateTime, timeFormat?: '12h' | '24h'): string;
export declare function formatDateTime(date: Date, type: 'date' | 'dateAndTime', timeFormat?: '12h' | '24h'): string;
