import React from 'react';
/**
 * Takes in children for a component and looks for a specified component display name.
 */
export declare function isComponentInChildren(children: React.ReactNode, componentDisplayName: string): boolean;
/**
 * Takes in children for a component and strips out all content besides the first Icon.
 */
export declare function renderFirstIconOnly(children: React.ReactNode, shouldDisableColor?: boolean): (React.ReactElement<any, string | React.JSXElementConstructor<any>> | null)[];
/**
 * Takes in children for a component and strips out any specified component.
 */
export declare function renderChildrenIgnoreSpecifiedComponents(children: React.ReactNode, componentsToIgnore: ReadonlyArray<string>): (string | number | React.ReactElement<any, string | React.JSXElementConstructor<any>> | React.ReactFragment | null)[];
/**
 * Takes in children for a component and renders only the specified components.
 */
export declare function renderChildrenSpecifiedComponents(children: React.ReactNode, componentsToInclude: ReadonlyArray<string>): ((React.ReactFragment & React.ReactElement<any, string | React.JSXElementConstructor<any>>) | null)[];
