import { VisualSizesEnum } from './fontHelpers';
export interface SelectableComponentColors {
    textColor: string;
    hoverTextColor?: string;
    selectedTextColor?: string;
    disabledTextColor?: string;
    backgroundColor: string;
    hoverBackgroundColor?: string;
    selectedBackgroundColor?: string;
    disabledBackgroundColor?: string;
}
/**
 * Wrapper to easily assign constant values to the different VisualSizesEnums.
 */
export declare type VisualSizeConstants<T> = {
    readonly [K in VisualSizesEnum]: T;
};
export declare function makeSizeConstants<T>(smallVariant: T, ...variants: T[]): VisualSizeConstants<T>;
/**
 * Get the color for the specified text type. If the type is not defined, it will fallback to the textColor.
 */
export declare function getTextColorFromStyles(styles: SelectableComponentColors, type?: 'hover' | 'selected' | 'disabled'): string;
/**
 * Get the color for the specified background type. If the type is not defined, it will fallback to the backgroundColor.
 */
export declare function getBackgroundColorFromStyles(styles: SelectableComponentColors, type?: 'hover' | 'selected' | 'disabled'): string;
